API Documentation

Complete reference for the Feature1 API. Build custom integrations and automate your development workflow.

API Version 1.0

Quick Start

Get up and running with the Feature1 API in minutes

1

Get API Key

Generate your API key from the dashboard settings

2

Make Request

Use your API key to authenticate requests

3

Start Building

Integrate with your existing development tools

Authentication

All API requests require authentication using an API key. Include your API key in the Authorization header:

Authentication Examplecurl
curl -H "Authorization: Bearer YOUR_API_KEY" \
  https://api.feature1.ai/v1/repos

API Endpoints

Repositories

GET
/v1/repos
List all connected repositories
POST
/v1/repos
Connect a new repository
GET
/v1/repos/{id}
Get repository details

Analysis

POST
/v1/analysis
Start code analysis
GET
/v1/analysis/{id}
Get analysis results

Webhooks

GET
/v1/webhooks
List webhooks
POST
/v1/webhooks
Create webhook

Response Format

All API responses follow a consistent JSON format:

Response Formatjson
{
  "success": true,
  "data": {
    // Response data
  },
  "meta": {
    "page": 1,
    "limit": 20,
    "total": 100
  }
}

Rate Limits

  • 1000 requests per hour
  • 100 requests per minute
  • Enterprise: Custom limits

Error Codes

  • 400 - Bad Request
  • 401 - Unauthorized
  • 429 - Rate Limited
  • 500 - Server Error